Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class GammaProcess

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.GammaProcess

Direct Known Subclasses:
  GammaProcessBridge, GammaProcessPCA

    public class GammaProcess

extends StochasticProcess

This class represents a gamma process {S(t) = G(t;μ, ν) : t >= 0} with mean parameter μ and variance parameter ν. It is a continuous-time process with stationary, independent gamma increments such that for any Δt > 0,

S(t + Δt) = S(t) + X,

where X is a random variate from the gamma distribution Γ(μ2Δt/ν, ν/μ).

In this class, the gamma process is sampled sequentially using equation.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`GammaProcess(double s0, double mu, double nu, GammaGen Ggen)` Constructs a new `GammaProcess` with parameters μ = [tex2html_wrap_inline291], ν = [tex2html_wrap_inline293] and initial value S(t0) = [tex2html_wrap_inline295].
`GammaProcess(double s0, double mu, double nu, RandomStream stream)` .

Method Summary
`double[]` | `generatePath()` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.
`double[]` | `generatePath(double[] uniform01)` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.
`double` | `getMu()` Returns the value of the parameter μ.
`double` | `getNu()` Returns the value of the parameter ν.
`RandomStream` | `getStream()` Returns the `RandomStream` `stream`.
`double` | `nextObservation()` Generates and returns the next observation X(tj) of the stochastic process.
`double` | `nextObservation(double nextT)` .
`void` | `setParams(double s0, double mu, double nu)` Sets the parameters S(t0) = [tex2html_wrap_inline311], μ = [tex2html_wrap_inline313] and ν = [tex2html_wrap_inline315] of the process.
`void` | `setStream(RandomStream stream)` Resets the `RandomStream` of the `GammaGen` to `stream`.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, resetStartProcess, setObservationTimes, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GammaProcess

    public GammaProcess(double s0,
                        double mu,
                        double nu,
                        RandomStream stream)

  . Constructs a new `GammaProcess` with parameters μ = , ν = and initial value S(t0) = . The gamma variates X in are generated by inversion using `stream`.

### GammaProcess

    public GammaProcess(double s0,
                        double mu,
                        double nu,
                        GammaGen Ggen)

  Constructs a new `GammaProcess` with parameters μ = [tex2html_wrap_inline291], ν = [tex2html_wrap_inline293] and initial value S(t0) = [tex2html_wrap_inline295]. The gamma variates X in are supplied by the gamma random variate generator `Ggen`. Note that the parameters of the `GammaGen` object `Ggen` are not important since the implementation forces the generator to use the correct parameters (as defined above).

Method Detail

### nextObservation

    public double nextObservation()

  Description copied from class: `StochasticProcess`
  Generates and returns the next observation X(tj) of the stochastic process. The processes are usually sampled sequentially, i.e. if the last observation generated was for time tj-1, the next observation returned will be for time tj. In some cases, subclasses extending this abstract class may use non-sequential sampling algorithms (such as bridge sampling). The order of generation of the tj's is then specified by the subclass. All the processes generated using principal components analysis (PCA) do not have this method.

  Overrides:
    `nextObservation` in class `StochasticProcess`

### nextObservation

    public double nextObservation(double nextT)

  . Generates and returns the next observation at time tj+1 = , using the previous observation time tj defined earlier (either by this method or by `setObservationTimes`), as well as the value of the previous observation X(tj). Warning: This method will reset the observations time tj+1 for this process to `nextT`. The user must make sure that the tj+1 supplied is >= tj.

### generatePath

    public double[] generatePath()

  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. The gamma variates X in are generated using the `RandomStream` `stream` or the `RandomStream` included in the `GammaGen` `Ggen`.

  Specified by:
    `generatePath` in class `StochasticProcess`

### generatePath

    public double[] generatePath(double[] uniform01)

  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. This method does not use the `RandomStream` `stream` nor the `GammaGen` `Ggen`. It uses the vector of uniform random numbers U(0, 1) provided by the user and generates the path by inversion. The vector `uniform01` must be of dimension d.

### setParams

    public void setParams(double s0,
                          double mu,
                          double nu)

  Sets the parameters S(t0) = [tex2html_wrap_inline311], μ = [tex2html_wrap_inline313] and ν = [tex2html_wrap_inline315] of the process. Warning: This method will recompute some quantities stored internally, which may be slow if called repeatedly.

### getMu

    public double getMu()

  Returns the value of the parameter μ.

### getNu

    public double getNu()

  Returns the value of the parameter ν.

### setStream

    public void setStream(RandomStream stream)

  Resets the `RandomStream` of the `GammaGen` to `stream`.

  Specified by:
    `setStream` in class `StochasticProcess`

### getStream

    public RandomStream getStream()

  Returns the `RandomStream` `stream`.

  Specified by:
    `getStream` in class `StochasticProcess`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.